![pydarn](imgs/pydarn_logo.png)

pyDARN is an open source python library for 
data visualization of SuperDARN data.
pyDARN also includes support of Input/Output reading of SuperDARN DMAP format files via the io package [pyDARNio](https://pydarnio.readthedocs.io/en/latest/). 

## Source Code 

The library source code can be found on the [pyDARN GitHub](https://github.com/SuperDARN/pydarn) repository. 

If you have any questions or concerns please submit an **Issue** on the SuperDARN pyDARN repository. 

## Table of Contents 
  - [Installation](user/install.md)
  - [SuperDARN Data Access](user/superdarn_data.md)
  - [Citing](user/citing.md)
  - Tutorials 
    - [Reading a SuperDARN File](user/io.md)
    - [Radar and Hardware Information](user/hardware.md)
    - [Coordinate Systems](user/coordinates.md)
    - [Range-Time plots](user/range_time.md)
    - [Time-Series plots](user/time_series.md)
    - [Summary plots](user/summary.md)
    - [Axis](user/axis.md)
    - [FOV plots](user/fov.md)
    - [Fan plots](user/fan.md)
    - [Grid plots](user/grid.md)
    - [Power plots](user/power.md)
    - [ACF plotting](user/acf.md)
    - [Logging](user/logging.md)
 - [pyDARN Team](dev/team.md)
    - [Communication Guidelines](dev/communication.md)
    - [Copyrighting and Licensing](dev/copyright_license.md)
    - Workflow
        - [Projects](dev/projects.md)
        - [Issues](dev/issues.md)
        - [Branches](dev/branching.md)
        - [Unit Testing](dev/pytest.md)
        - [Pull Requests](dev/PR.md) 
        - [Testing](dev/testing.md)
        - [Code Reviews](dev/code_review.md)
    - [Release Guidelines](dev/releases.md)

